## systemd 255.2

=== debian/changelog ===
systemd (255.2-4deepin15) unstable; urgency=medium

  * add zh_HK translation.

 -- jiahe.liu <liujiahe@uniontech.com>  Sun, 28 Sep 2025 14:52:28 +0800

systemd (255.2-4deepin14) unstable; urgency=medium

  * support TPMFS_SUPER_MAGIC.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 26 Sep 2025 17:13:54 +0800

systemd (255.2-4deepin13) unstable; urgency=medium

  * In Uos, the debug-shell should require a login to access.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Thu, 25 Sep 2025 13:13:12 +0800

systemd (255.2-4deepin12) unstable; urgency=medium
  
  * feat: add sw64 support

 -- Deepin Packages Builder <packages@deepin.org>  Tue, 20 May 2025 14:47:36 +0800

systemd (255.2-4deepin11) unstable; urgency=medium

  * Improve boot performance.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Wed, 28 May 2025 13:46:21 +0800

systemd (255.2-4deepin10) unstable; urgency=medium

  * Disable seccomp support on loong64&sw64.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Thu, 08 May 2025 13:33:56 +0800

systemd (255.2-4deepin9) unstable; urgency=medium

  * add shutdown service.
  * add enable wol rule.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Tue, 29 Apr 2025 17:20:47 +0800

systemd (255.2-4deepin8) unstable; urgency=medium

  * Disable seccomp support on mips64el.
  * disable systemd-pstore.service.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Fri, 28 Mar 2025 11:54:35 +0800

systemd (255.2-4deepin7) unstable; urgency=medium

  * enable log trace default.

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Mon, 20 Jan 2025 15:18:01 +0800

systemd (255.2-4deepin6) unstable; urgency=medium

  * fix usec status incorrect in umac_use().

 -- zhouzilong <zhouzilong@uniontech.com>  Wed, 11 Dec 2024 10:17:43 +0800

systemd (255.2-4deepin5) unstable; urgency=medium

  * Restart managers on libc-upgrade dpkg trigger

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 06 Dec 2024 16:08:42 +0800

systemd (255.2-4deepin4) unstable; urgency=medium

  * change security.selinux2 to security.usec_proc attr.
  * systemd default usid context is "root:object_r:deepin_usec_t:s0"

 -- zhouzilong <zhouzilong@uniontech.com>  Sat, 30 Nov 2024 11:30:33 +0800

systemd (255.2-4deepin3) unstable; urgency=medium

  * add usecfs magic.

 -- zhouzilong <zhouzilong@uniontech.com>  Tue, 29 Oct 2024 21:43:21 +0800

systemd (255.2-4deepin2) unstable; urgency=medium

  * Cancel the fsckd check prompt at boot time.

 -- liujianqiang <liujianqiang@uniontech.com>  Mon, 23 Sep 2024 18:01:23 +0800

systemd (255.2-4deepin1) sid; urgency=medium

  * Adapt UOS mandatory access control.

 -- luxinyou <luxinyou@uniontech.com>  Wed, 04 Sep 2024 19:05:00 +0800

systemd (255.2-4) sid; urgency=medium

  * autopkgtest: add btrfs-progs Depends to upstream suite.
    Required by TEST-83-BTRFS and testcase_btrfs_basic from
    TEST-64-UDEV-STORAGE.
  * Revert "test: deny-list TEST-13-NSPAWN"
    This reverts commit df8e5367aca20e0c75c9c91f826d22d8a0f7e36d.
  * autopkgtest: add multipath-tools and kpartx Depends to upstream suite.
    Required by testcase_multipath_basic_failover from TEST-64-UDEV-STORAGE.
  * test: install correct kpartx udev rules on Debian

 -- Michael Biebl <biebl@debian.org>  Sat, 06 Jan 2024 16:21:03 +0100

systemd (255.2-3) sid; urgency=medium

  * Cherry-pick fixes for upstream integration tests.
    Fixes TEST-07-PID1, TEST-08-INITRD (skip), TEST-26-SYSTEMCTL and
    TEST-75-RESOLVED.
  * Add explicit Build-Depends on debhelper (>= 13.11.6)
    This ensures we have a recent enough version of dh_installsystemd that
    supports service files in /usr/lib/.
  * test: deny-list TEST-13-NSPAWN.
    The default ram size of 1024M for qemu virt is not sufficient
    to make the test pass reliably on Debian sid/trixie.
    Disable the test for now until this has been addressed in debci:
    https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1059840

 -- Michael Biebl <biebl@debian.org>  Tue, 02 Jan 2024 11:44:49 +0100

systemd (255.2-2) unstable; urgency=medium

  * udev: mips does not install dmi_memory_id and its rules

 -- Luca Boccassi <bluca@debian.org>  Sun, 24 Dec 2023 14:25:27 +0100

systemd (255.2-1) unstable; urgency=medium

  * New upstream version 255.2
  * Drop resolved-actually-check-authenticated-flag-of-SOA-transac.patch,
    merged upstream

 -- Luca Boccassi <bluca@debian.org>  Sun, 24 Dec 2023 11:26:42 +0100

systemd (255.1-3) unstable; urgency=medium

  * Upload to unstable
  * Fix installation of dmi_memory_id on i386 and x32
  * Explicitly disable bootloader for stage1 build.
    This ensures that the stage1 build is not broken in a tainted build
    environment.
  * Mark missing man pages from stage1 build

 -- Michael Biebl <biebl@debian.org>  Sun, 24 Dec 2023 11:08:06 +0100

systemd (255.1-2) experimental; urgency=medium

  [ Michael Biebl ]
  * Upgrade the Breaks to Conflicts for the systemd-ukify package split.
    This avoids potential loss of the /usr/lib/systemd/ukify compat symlink
    for upgrades from bookworm-backports.
  * Update package description of libnss-myhostname to use the correct IPv4
    address (Closes: #1057953)
  * resolved: actually check authenticated flag of SOA transaction.
    Patch cherry-picked from upstream Git.
    (CVE-2023-7008, Closes: #1059278)
  * Explicitly disable ukify for stage1 builds
  * Enable dh-exec for systemd.manpages and udev.install.
    This enables files to be installed specific to certain architectures or
    build profiles. Unfortunately for systemd.manpages this requires to add a
    debian/tmp/ prefix to all files.
    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1053834#46
  * Restrict pcr/tpm2 related files to UEFI architectures.
    Mirrors the python3-pyelftools [amd64 i386 arm64 armhf riscv64]
    Build-Depends.
  * Install dmi_memory_id and its udev rules file only on dmi architectures.
  * Fix stage1 profile build

  [ Helmut Grohne ]
  * Restore diverted symlinks in systemd-sysv.postinst that may have been lost

