## systemd 255.4

=== debian/changelog ===
systemd (255.4-1ubuntu8.11) noble; urgency=medium

  [ Nick Rosbrook ]
  * initramfs-tools: copy hwdb.bin to initramfs (LP: #2112237)
  * d/t/tests-in-lxd: drop patching workaround (LP: #2115263)
    - d/t/control: add Depends: dnsmasq-base
      (Revealed by test progressing past previous failure)
  * initramfs-tools: filter out zdev rules in the initramfs hook (LP: #2044104)
    Backport the logic from plucky onward, but adjust the version string for
    noble.
  * test: fall back to SYSLOG_IDENTIFIER= matching in TEST-75-RESOLVED
    Partially backport the test fix from 49a954b08654dd06bab71224a2398a65c2555549,
    only targeting TEST-75-RESOLVED.

  [ Matthew Ruffell ]
  * pcrlock: handle measurement logs where hash algs in header.
    Fix pcrlock log to function correctly reading the TPM eventlog on hyper-v VMs
    (LP: #2115391)

  [ Chengen Du ]
  * network/dhcp6: consider the DHCPv6 protocol as finished when conflict addresses exist
    (LP: #2115418)

  [ Mario Limonciello ]
  * Drop support for using actual brightness (LP: #2110585)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 11 Jul 2025 14:52:59 -0400

systemd (255.4-1ubuntu8.10) noble; urgency=medium

  * Fix regression in networkctl caused by previous upload:
    A regression was introduced due to an incorrect manager reference being passed to
    manager_get_route_table_to_string() within route_append_json(), resulting in an
    error when executing the `networkctl --json=pretty` command.
    > networkctl --json=pretty
    Failed to get description: Message recipient disconnected from message bus without replying

 -- Chengen Du <chengen.du@canonical.com>  Wed, 02 Jul 2025 10:04:32 -0400

systemd (255.4-1ubuntu8.9) noble; urgency=medium

  * Preserve IPv6 configurations when `KeepConfiguration=dhcp-on-stop` is set
    (LP: #2098183)
    - d/p/lp2098183/0001-network-use-json_variant_append_arrayb.patch
    - d/p/lp2098183/0002-json-add-new-dispatch-flag-JSON_ALLOW_EXTENSIONS.patch
    - d/p/lp2098183/0003-json-add-macro-for-automatically-defining-a-dispatch.patch
    - d/p/lp2098183/0004-json-introduce-json_dispatch_byte_array_iovec-and-js.patch
    - d/p/lp2098183/0005-json-introduce-json_dispatch_int8-and-json_dispatch_.patch
    - d/p/lp2098183/0006-json-extend-JsonDispatch-flags-with-nullable-and-ref.patch
    - d/p/lp2098183/0007-json-util-generalize-json_dispatch_ifindex.patch
    - d/p/lp2098183/0008-daemon-util-expose-notify_push_fd.patch
    - d/p/lp2098183/0009-network-json-add-missing-entries-for-route-propertie.patch
    - d/p/lp2098183/0010-network-introduce-network_config_source_from_string.patch
    - d/p/lp2098183/0011-network-expose-log_route_debug-and-log_address_debug.patch
    - d/p/lp2098183/0012-network-introduce-manager_serialize-deserialize.patch
    - d/p/lp2098183/0013-network-keep-all-dynamically-acquired-configurations.patch

 -- Chengen Du <chengen.du@canonical.com>  Mon, 09 Jun 2025 13:44:06 -0400

systemd (255.4-1ubuntu8.8) noble-security; urgency=medium

  * SECURITY UPDATE: race condition in systemd-coredump
    - debian/patches/CVE_2025_4598_1.patch: coredump: get rid of
      _META_MANDATORY_MAX.
    - debian/patches/CVE_2025_4598_2.patch: coredump: use %d in kernel core
      pattern.
    - debian/patches/CVE_2025_4598_3.patch: coredump: also stop forwarding
      non-dumpable processes.
    - debian/patches/CVE_2025_4598_4.patch: coredump: get rid of a bogus
      assertion.
    - CVE-2025-4598
  * this update does not include the changes from 255.4-1ubuntu8.7 as included in noble-proposed

 -- Octavio Galland <octavio.galland@canonical.com>  Wed, 04 Jun 2025 09:24:15 -0300

systemd (255.4-1ubuntu8.6) noble; urgency=medium

  * stub: add magic cmdline option to force EFI handover
    (LP: #2088069)
  * localed: use ubuntu core hack for locale.conf and vconsole.conf
    (LP: #2091657)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 21 Feb 2025 16:18:31 -0500

systemd (255.4-1ubuntu8.5) noble; urgency=medium

  [ Chengen Du ]
  * udev: Handle PTP device symlink properly on udev action 'change'
    (LP: #2077779)

  [ Nick Rosbrook ]
  * core/exec-invoke: Fix missing arguments for PR_SET_MEMORY_MERGE call
    (LP: #2081192)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 17 Oct 2024 13:15:16 -0400

systemd (255.4-1ubuntu8.4) noble; urgency=medium

  * No-change rebuild to pick up changed build flags on ppc64el and s390x.
    (LP: #2076340)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 08 Aug 2024 10:51:10 -0400

systemd (255.4-1ubuntu8.3) noble; urgency=medium

  * core/dbus-manager: mark unit file state as outdated only if some changes succeeded
    (LP: #2055239)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 05 Aug 2024 14:02:31 -0400

systemd (255.4-1ubuntu8.2) noble; urgency=medium

  * mountpoint-util: Deal with kernel API breakage in "norecovery" mount option.
    Also include fixup commit
    055b465a3f ("shared/mountpoint-util: for old kernels, assume "norecovery" is supported by btrfs").
    (LP: #2067907)
  * cgroup-util: allow cg_read_pid() to skip unmapped (zero) pids (LP: #2067922)
  * debian/extra: ship nice.conf for journald, not logind (LP: #2067927)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 14 Jun 2024 17:03:19 -0400

systemd (255.4-1ubuntu8.1) noble; urgency=medium

  * debian/systemd-resolved.postinst: ignore cp failure (LP: #2047975)
  * debian/systemd.postinst: don't restart user managers if too old (LP: #2054761)
  * switch-root: use MS_MOVE for /run when switchig from initrd (LP: #2064096)
  * test: check for kernel.apparmor_restrict_unprivileged_userns (LP: #2065964)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 17 May 2024 10:47:34 +0200

systemd (255.4-1ubuntu8) noble; urgency=medium

  * copy: ignore -EOPNOTSUPP from copy_file_range() (LP: #2058179)
    File: debian/patches/lp2058179-copy-ignore-EOPNOTSUPP-from-copy_file_range.patch
    https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd/commit/?id=fc81bb680f5d5c8c5995fcf6ed7f55f739dcd6a7


