=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: systemd
 Section: admin
 Priority: optional
-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian systemd Maintainers <pkg-systemd-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>,
            Marco d'Itri <md@linux.it>,
            Sjoerd Simons <sjoerd@debian.org>,
@@ -10,8 +11,8 @@
            Luca Boccassi <bluca@debian.org>,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Vcs-Git: https://salsa.debian.org/systemd-team/systemd.git
-Vcs-Browser: https://salsa.debian.org/systemd-team/systemd
+Vcs-Git: https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd
+Vcs-Browser:  https://git.launchpad.net/~ubuntu-core-dev/ubuntu/+source/systemd
 Homepage: https://www.freedesktop.org/wiki/Software/systemd
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 13.11.6),
@@ -19,7 +20,7 @@
                dh-package-notes,
                dh-sequence-installnss,
                dh-sequence-installsysusers,
-               pkg-config,
+               pkgconf,
                xsltproc <!nodoc>,
                docbook-xsl <!nodoc>,
                docbook-xml <!nodoc>,
@@ -50,51 +51,53 @@
                libblkid-dev (>= 2.24),
                libmount-dev (>= 2.30),
                libfdisk-dev (>= 2.33),
-               libseccomp-dev (>= 2.3.1) [amd64 arm64 armel armhf i386 x32 powerpc ppc64 ppc64el riscv64 s390x],
+               libseccomp-dev (>= 2.3.1) [amd64 arm64 armel armhf i386 mips mipsel mips64 mips64el x32 powerpc ppc64 ppc64el riscv64 s390x],
                libdw-dev (>= 0.158) <!stage1>,
                libpolkit-gobject-1-dev <!stage1>,
                libzstd-dev (>= 1.4.0),
-               libtss2-dev <!stage1>,
+               libtss2-dev [!i386] <!stage1>,
                libfido2-dev <!stage1>,
                libp11-kit-dev <!stage1>,
                libssl-dev <!stage1>,
-               libqrencode-dev <!stage1>,
+               libqrencode-dev [!i386] <!stage1>,
                libxen-dev [amd64 arm64 armhf] <!stage1>,
                linux-base <!nocheck>,
                acl <!nocheck>,
                python3:native,
                python3-jinja2:native,
                python3-lxml:native,
-               python3-pefile <!stage1 !nocheck>,
+               python3-pefile:native <!stage1 !nocheck> <!stage1 !noinsttest>,
                python3-pyelftools [amd64 i386 arm64 armhf riscv64] <!stage1>,
                python3-pyparsing <!nocheck>,
                python3-evdev:native <!nocheck>,
-               tzdata-legacy <!nocheck> | tzdata (<< 2023c-8) <!nocheck>,
+               tzdata-legacy <!nocheck> | tzdata (<< 2024a-1) <!nocheck>,
                libcap2-bin <!nocheck>,
                iproute2 <!nocheck>,
                zstd <!nocheck>,
                gawk <!nocheck>,
                fdisk <!nocheck>,
-               lsb-release,
 
 Package: systemd
 Architecture: linux-any
 Multi-Arch: foreign
 Priority: important
 Recommends: default-dbus-system-bus | dbus-system-bus,
+            networkd-dispatcher,
             systemd-timesyncd | time-daemon,
+            systemd-resolved,
 Suggests: systemd-container,
           systemd-homed,
           systemd-userdbd,
           systemd-boot,
-          systemd-resolved,
           libfido2-1,
           libip4tc2,
+          libkmod2,
           libp11-kit0,
           libqrencode4,
           libtss2-esys-3.0.2-0,
-          libtss2-mu0,
+          libtss2-mu-4.0.1-0,
           libtss2-rc0,
+          libtss2-tcti-device0,
           polkitd,
 Pre-Depends: ${shlibs:Pre-Depends},
              ${misc:Pre-Depends}
@@ -103,15 +106,18 @@
          libsystemd0 (= ${binary:Version}),
          systemd-dev (>= ${source:Version}),
          mount,
+Replaces: systemd-repart (<< 250.2-3~)
 Conflicts: consolekit,
            libpam-ck-connector,
            systemd-shim,
            opensysusers,
 Breaks: less (<< 563),
         sicherboot (<< 0.1.6),
+        systemd-repart (<< 250.2-3~),
         dracut (<< 059-5),
 Provides: systemd-sysusers (= ${binary:Version}),
           systemd-tmpfiles (= ${binary:Version}),
+          systemd-repart (= ${binary:Version}),
 Description: system and service manager
  systemd is a system and service manager for Linux. It provides aggressive
  parallelization capabilities, uses socket and D-Bus activation for starting
@@ -136,7 +142,8 @@
            progress-linux-container (<< 20221002-11~),
 Replaces: sysvinit-core,
 Pre-Depends: systemd
-Depends: ${misc:Depends},
+Depends: systemd (= ${binary:Version}),
+         ${misc:Depends}
 Recommends: libpam-systemd,
             libnss-systemd
 Description: system and service manager - SysV compatibility symlinks
@@ -314,15 +321,3 @@
 
 Package: libsystemd-dev
 Architecture: linux-any
-Multi-Arch: same
-Section: libdevel
-Depends: ${misc:Depends},
-         libsystemd0 (= ${binary:Version})
-Description: systemd utility library - development files
- This library provides APIs to interface with various system components such as
- the system journal, the system service manager, D-Bus and more.
- .
- This package contains the files needed for developing applications that
- use libsystemd.
-
-Package: libsystemd-shared
