=== debian/tests/control ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 Tests: unit-config
 Depends: systemd,
+  udev,
   libpam-systemd,
   libnss-systemd,
   acl,
@@ -21,6 +22,7 @@
 
 Tests: storage
 Depends: systemd,
+  udev,
   libpam-systemd,
   libnss-systemd,
   acl,
@@ -34,6 +36,7 @@
 Tests: networkd-test.py
 Tests-Directory: test
 Depends: systemd,
+  udev,
   systemd-resolved,
   libpam-systemd,
   libnss-systemd,
@@ -51,6 +54,7 @@
 
 Tests: build-login
 Depends: systemd,
+  udev,
   libpam-systemd,
   libnss-systemd,
   acl,
@@ -68,6 +72,8 @@
 
 Tests: boot-and-services
 Depends: systemd-sysv,
+  systemd,
+  udev,
   systemd-container,
   systemd-coredump,
   libpam-systemd,
@@ -75,7 +81,7 @@
   libelf-dev,
   xserver-xorg-video-dummy,
   xserver-xorg,
-  gdm3 [!s390x],
+  gdm3 [amd64],
   cron,
   network-manager,
   busybox-static,
@@ -108,14 +114,24 @@
   iputils-ping,
   dbus-user-session,
   zstd,
-  libtss2-dev,
+  libtss2-dev [!i386],
   libfido2-dev,
   libdw-dev,
-  libqrencode-dev,
-  tzdata-legacy | tzdata (<< 2023c-8),
+  libqrencode-dev [!i386],
+  tzdata-legacy | tzdata (<< 2024a-1),
 Restrictions: needs-root, isolation-container, breaks-testbed
 
-Tests: upstream
+Tests: tests-in-lxd
+Depends: systemd-tests,
+  udev,
+  libpam-systemd,
+  autopkgtest,
+  lsb-release,
+  snapd,
+  dnsmasq-base,
+Restrictions: needs-root, allow-stderr, isolation-machine, breaks-testbed, skip-not-installable, skippable
+
+Tests: upstream-1, upstream-2
 Depends: systemd-tests,
   systemd-journal-remote,
   systemd-container,
@@ -124,7 +140,7 @@
   systemd-oomd,
   systemd-homed,
   systemd-resolved,
-  systemd-boot-efi,
+  systemd-boot-efi [amd64 i386 arm64 armhf riscv64],
   libnss-myhostname,
   libnss-mymachines,
   libnss-resolve,
@@ -148,28 +164,3 @@
   qemu-system-x86 [amd64 i386],
   qemu-system-arm [arm64 armhf],
   qemu-system-ppc [ppc64el],
-  qemu-system-s390x [s390x],
-  seabios,
-  less,
-  pkg-config,
-  gcc,
-  libc6-dev | libc-dev,
-  make,
-  quota,
-  fdisk,
-  netcat-openbsd,
-  socat,
-  busybox-static,
-  plymouth,
-  e2fsprogs,
-  zstd,
-  squashfs-tools,
-  vim-tiny,
-  dosfstools,
-  mtools,
-  erofs-utils,
-  libdw-dev,
-  libelf-dev,
-  dbus-user-session,
-  libtss2-dev,
-  libfido2-dev,
