## systemd 255.4-1ubuntu8.6trisquel1

=== debian/changelog ===
systemd (255.4-1ubuntu8.6trisquel1) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 17 Mar 2025 12:42:11 +0000
