## systemd 255.4-1ubuntu8.8trisquel1

=== debian/changelog ===
systemd (255.4-1ubuntu8.8trisquel1) ecne-security; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 10 Jun 2025 06:16:12 +0000
