## systemd 255.4-1ubuntu8.10trisquel1

=== debian/changelog ===
systemd (255.4-1ubuntu8.10trisquel1) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 17 Jul 2025 06:51:38 +0000
