## systemd 255.4-1ubuntu8.11trisquel1

=== debian/changelog ===
systemd (255.4-1ubuntu8.11trisquel1) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 08 Oct 2025 18:52:11 +0000
